Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkXMLRectilinearGridReader Class Reference

`#include <vtkXMLRectilinearGridReader.h>`

Inheritance diagram for vtkXMLRectilinearGridReader:

[legend]
Collaboration diagram for vtkXMLRectilinearGridReader:

[legend]
List of all members.

## Detailed Description

Read VTK XML RectilinearGrid files.

Date:
  2003/02/07 20:06:29

Revision:
  1.2

vtkXMLRectilinearGridReader reads the VTK XML RectilinearGrid file format. One rectilinear grid file can be read to produce one output. Streaming is supported. The standard extension for this reader's file format is "vtr". This reader is also used to read a single piece of the parallel file format.

See also:
  vtkXMLPRectilinearGridReader

Created by:
  - King, Brad

CVS contributions (if > 5%):
  - King, Brad (94%)

CVS logs (CVSweb):
  - .`h` (`/IO/vtkXMLRectilinearGridReader.h)`
  - .`cxx` (`/IO/vtkXMLRectilinearGridReader.cxx)`

Definition at line 49 of file vtkXMLRectilinearGridReader.h.

## Public Types
typedef vtkXMLStructuredDataReader | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetOutput (vtkRectilinearGrid *output)
vtkRectilinearGrid * | GetOutput ()
vtkRectilinearGrid * | GetOutput (int idx)
## Static Public Methods
int | IsTypeOf (const char *type)
vtkXMLRectilinearGridReader * | SafeDownCast (vtkObject *o)
vtkXMLRectilinearGridReader * | New ()
## Protected Methods
| vtkXMLRectilinearGridReader ()
| ~vtkXMLRectilinearGridReader ()
const char * | GetDataSetName ()
void | SetOutputExtent (int *extent)
void | SetupPieces (int numPieces)
void | DestroyPieces ()
void | SetupOutputInformation ()
void | SetupOutputData ()
int | ReadPiece (vtkXMLDataElement *ePiece)
int | ReadPieceData ()
int | ReadSubCoordinates (int *inBounds, int *outBounds, int *subBounds, vtkXMLDataElement *da, vtkDataArray *array)
## Protected Attributes
vtkXMLDataElement ** | CoordinateElements

## Member Typedef Documentation

typedef vtkXMLStructuredDataReader vtkXMLRectilinearGridReader::Superclass

| Reimplemented from vtkXMLStructuredDataReader. Definition at line 52 of file vtkXMLRectilinearGridReader.h.

## Constructor & Destructor Documentation

vtkXMLRectilinearGridReader::vtkXMLRectilinearGridReader | ( |  | ) | `[protected]`

vtkXMLRectilinearGridReader::~vtkXMLRectilinearGridReader | ( |  | ) | `[protected]`

## Member Function Documentation

virtual const char* vtkXMLRectilinearGridReader::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

int vtkXMLRectilinearGridReader::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

virtual int vtkXMLRectilinearGridReader::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLRectilinearGridReader* vtkXMLRectilinearGridReader::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLRectilinearGridReader::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkXMLStructuredDataReader.

vtkXMLRectilinearGridReader* vtkXMLRectilinearGridReader::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

void vtkXMLRectilinearGridReader::SetOutput | ( | vtkRectilinearGrid * | output | ) |

| Get/Set the reader's output.

vtkRectilinearGrid* vtkXMLRectilinearGridReader::GetOutput | ( |  | ) |

| Get/Set the reader's output.

vtkRectilinearGrid* vtkXMLRectilinearGridReader::GetOutput | ( | int | idx | ) |

| Get/Set the reader's output. Reimplemented from vtkSource.

const char* vtkXMLRectilinearGridReader::GetDataSetName | ( |  | ) | `[protected, virtual]`

| Implements vtkXMLReader.

void vtkXMLRectilinearGridReader::SetOutputExtent | ( | int * | extent | ) | `[protected, virtual]`

| Implements vtkXMLStructuredDataReader.

void vtkXMLRectilinearGridReader::SetupPieces | ( | int | numPieces | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLRectilinearGridReader::DestroyPieces | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

void vtkXMLRectilinearGridReader::SetupOutputInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

void vtkXMLRectilinearGridReader::SetupOutputData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

int vtkXMLRectilinearGridReader::ReadPiece | ( | vtkXMLDataElement * | ePiece | ) | `[protected, virtual]`

| Reimplemented from vtkXMLStructuredDataReader.

int vtkXMLRectilinearGridReader::ReadPieceData | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkXMLDataReader.

int vtkXMLRectilinearGridReader::ReadSubCoordinates | ( | int * | inBounds,
|  | int * | outBounds,
|  | int * | subBounds,
|  | vtkXMLDataElement * | da,
|  | vtkDataArray * | array
| ) | `[protected]`

## Member Data Documentation

vtkXMLDataElement** vtkXMLRectilinearGridReader::CoordinateElements`[protected]`

| Definition at line 80 of file vtkXMLRectilinearGridReader.h.

The documentation for this class was generated from the following file:

- IO/vtkXMLRectilinearGridReader.h